Loading...
Searching...
No Matches
draw_bitmap.c File Reference

GRASS png display driver - draw bitmap. More...

`#include <math.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/draw_bitmap.c:

Go to the source code of this file.

## Macros

#define | min(a, b)
#define | max(a, b)

## Functions

void | PNG_draw_bitmap (int ncols, int nrows, int threshold, const unsigned char *buf)
| Draw bitmap.

## Detailed Description

GRASS png display driver - draw bitmap.

(C) 2003-2014 by Per Henrik Johansen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Per Henrik Johansen (original contributor)
  Glynn Clements

Definition in file pngdriver/draw_bitmap.c.

## Macro Definition Documentation

## max

#define max | ( |  | a,
|  |  | b )

Value:
((a) > (b) ? (a) : (b))
b
double b
Definition driver/set_window.c:5

Definition at line 22 of file pngdriver/draw_bitmap.c.

Referenced by AS_class_discont(), AS_class_interval(), c_max(), c_maxx(), c_mode(), c_range(), Cdhc_extreme(), f_max(), f_nmax(), G__wps_print_process_description(), G_ls_format(), G_math_d_max_norm(), G_math_f_max_norm(), G_math_i_max_norm(), Gs_build_256lookup(), gs_get_xextents(), gs_get_xrange(), gs_get_yextents(), gs_get_yrange(), GS_get_zextents(), gs_get_zextents(), GS_get_zrange(), gs_get_zrange(), gs_get_zrange0(), GS_get_zrange_nz(), Gs_numtype(), Gs_update_attrange(), gsd_do_scale(), gsd_model2real(), gsd_model2surf(), gsd_put_legend(), gsd_real2model(), gsd_surf2model(), gvl_file_get_min_max(), gvl_file_newh(), gvl_get_xextents(), gvl_get_xrange(), gvl_get_yextents(), gvl_get_yrange(), gvl_get_zextents(), gvl_get_zrange(), iso_calc_cube(), iso_get_range(), N_calc_array_2d_stats(), N_calc_array_3d_stats(), Nviz_get_exag_height(), Nviz_get_zrange(), Nviz_set_attr(), Nviz_set_volume_attr_default(), open_g3d_file(), open_volfile(), PNG_draw_bitmap(), w_max(), and w_mode().

## min

#define min | ( |  | a,
|  |  | b )

Value:
((a) < (b) ? (a) : (b))

Definition at line 19 of file pngdriver/draw_bitmap.c.

Referenced by AS_class_discont(), AS_class_interval(), c_min(), c_minx(), c_range(), Cdhc_extreme(), f_min(), f_nmin(), G__wps_print_process_description(), Gs_build_256lookup(), gs_get_xextents(), gs_get_xrange(), gs_get_yextents(), gs_get_yrange(), GS_get_zextents(), gs_get_zextents(), GS_get_zrange(), gs_get_zrange(), gs_get_zrange0(), GS_get_zrange_nz(), Gs_numtype(), Gs_update_attrange(), gsd_do_scale(), gsd_model2real(), gsd_model2surf(), gsd_put_legend(), gsd_real2model(), gsd_surf2model(), gvl_file_get_min_max(), gvl_file_newh(), gvl_get_xextents(), gvl_get_xrange(), gvl_get_yextents(), gvl_get_yrange(), gvl_get_zextents(), gvl_get_zrange(), I_cluster_reassign(), iso_calc_cube(), iso_get_range(), N_calc_array_2d_stats(), N_calc_array_3d_stats(), Nviz_get_exag_height(), Nviz_get_zrange(), open_g3d_file(), open_volfile(), PNG_draw_bitmap(), and w_min().

## Function Documentation

## PNG_draw_bitmap()

void PNG_draw_bitmap | ( | int | ncols,
|  | int | nrows,
|  | int | threshold,
|  | const unsigned char * | buf )

Draw bitmap.

Parameters

  ncols,nrows | number of columns and rows
  threshold | threshold value
  buf | data buffer

Definition at line 32 of file pngdriver/draw_bitmap.c.

References b, cur_x, cur_y, g, max, min, png, png_get_color(), png_get_pixel(), r, and x.

Referenced by PNG_Driver().